# Uses of Class
org.eclipse.search.core.text.TextSearchScope

Packages that use TextSearchScope
Package
Description
org.eclipse.search.core.text
Classes giving access to the file (text) search functionality.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.

## Uses of TextSearchScope in org.eclipse.search.core.text

Methods in org.eclipse.search.core.text that return TextSearchScope
Modifier and Type
Method
Description
`static TextSearchScope`
TextSearchScope.`newSearchScope(IResource[] rootResources, Pattern fileNamePattern, boolean visitDerivedResources)`
Creates a scope that consists of all files that match the `fileNamePattern` and that either are one of the roots, or have one of the roots in their parent chain.
Methods in org.eclipse.search.core.text with parameters of type TextSearchScope
Modifier and Type
Method
Description
`abstract IStatus`
TextSearchEngine.`search(TextSearchScope scope, TextSearchRequestor requestor, Pattern searchPattern, IProgressMonitor monitor)`
Uses a given search pattern to find matches in the content of workspace file resources.

## Uses of TextSearchScope in org.eclipse.search.ui.text

Subclasses of TextSearchScope in org.eclipse.search.ui.text
Modifier and Type
Class
Description
`final class`
`FileTextSearchScope`
A text search scope used by the file search dialog.